"use strict";
var __classPrivateFieldSet = (this && this.__classPrivateFieldSet) || function (receiver, state, value, kind, f) {
    if (kind === "m") throw new TypeError("Private method is not writable");
    if (kind === "a" && !f) throw new TypeError("Private accessor was defined without a setter");
    if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver)) throw new TypeError("Cannot write private member to an object whose class did not declare it");
    return (kind === "a" ? f.call(receiver, value) : f ? f.value = value : state.set(receiver, value)), value;
};
var __classPrivateFieldGet = (this && this.__classPrivateFieldGet) || function (receiver, state, kind, f) {
    if (kind === "a" && !f) throw new TypeError("Private accessor was defined without a getter");
    if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver)) throw new TypeError("Cannot read private member from an object whose class did not declare it");
    return kind === "m" ? f : kind === "a" ? f.call(receiver) : f ? f.value : state.get(receiver);
};
var _AppManager_client;
Object.defineProperty(exports, "__esModule", { value: true });
exports.AppManager = void 0;
const ifunny_api_types_1 = require("@ifunny/ifunny-api-types");
/**
 * Manages misc data from the app.
 */
class AppManager {
    /**
     * @param client Client instance
     */
    constructor(client) {
        _AppManager_client.set(this, void 0);
        __classPrivateFieldSet(this, _AppManager_client, client, "f");
    }
    /**
     * Client instance attached to the manager
     */
    get client() {
        return __classPrivateFieldGet(this, _AppManager_client, "f");
    }
    /**
     * Fetches the counter data for the Client.
     * @returns App counters for the API
     */
    async counters() {
        return (await this.client.instance.get(ifunny_api_types_1.Endpoints.counters)).data.data;
    }
    /**
     * Fetches App settings
     * @returns App settings configuration
     */
    async settings() {
        return (await this.client.instance.get(ifunny_api_types_1.Endpoints.settings)).data.data;
    }
    /**
     * Fetches App privacy
     * @returns The App's privacy configuration
     */
    async privacy() {
        return (await this.client.instance.get(ifunny_api_types_1.Endpoints.privacy)).data.data;
    }
}
exports.AppManager = AppManager;
_AppManager_client = new WeakMap();
exports.default = AppManager;
//# sourceMappingURL=AppManager.js.map