import { Client } from "../client/Client";
import { iFunnyError } from "./iFunnyError";
import { RESTAPICaptchaType, RESTAPIErrorCaptchaRequired } from "@ifunny/ifunny-api-types";
/**
 * Represents a captcha returned by the API
 * * If this is thrown, you need to catch it, open the url in any browser, solve it, then attempt to make the EXACT same request
 * @extends iFunnyError<RESTAPIErrorCaptchaRequired>
 */
export declare class CaptchaError extends iFunnyError<RESTAPIErrorCaptchaRequired> {
    /**
     * @param client Client instance
     * @param error Raw Error returned by the API
     */
    constructor(client: Client, error: RESTAPIErrorCaptchaRequired);
    /**
     * The type of the captcha
     */
    get type(): RESTAPICaptchaType;
    /**
     * URL to open to solve the captcha.
     */
    get captchaUrl(): string;
}
export default CaptchaError;
//# sourceMappingURL=CaptchaError.d.ts.map