import { APIAppPrivacy, APIAppSettings, APICounters } from "@ifunny/ifunny-api-types";
import Client from "../client/Client";
/**
 * Manages misc data from the app.
 */
export declare class AppManager {
    #private;
    /**
     * @param client Client instance
     */
    constructor(client: Client);
    /**
     * Client instance attached to the manager
     */
    get client(): Client;
    /**
     * Fetches the counter data for the Client.
     * @returns App counters for the API
     */
    counters(): Promise<APICounters>;
    /**
     * Fetches App settings
     * @returns App settings configuration
     */
    settings(): Promise<APIAppSettings>;
    /**
     * Fetches App privacy
     * @returns The App's privacy configuration
     */
    privacy(): Promise<APIAppPrivacy>;
}
export default AppManager;
//# sourceMappingURL=AppManager.d.ts.map