import { Base } from "./Base";
import { CacheContainer, ICachingOptions } from "node-ts-cache";
import type { Client } from "../client/Client";
export type DataStructure = new (client: Client, payload: any, ...extra: any[]) => Base<any>;
/**
 * Cache object for data caching
 * @template Holds
 * @extends CacheContainer
 */
export declare class Cache<Holds extends DataStructure> extends CacheContainer {
    #private;
    constructor(holds: Holds, config: ICachingOptions);
    /**
     * Cache Config this is using
     */
    get config(): ICachingOptions;
    /**
     * Class constructor that this Cache holds
     */
    get holds(): Holds;
    /**
     * Fetches an item from the cache if it exists, else null
     * @param key Key for the item
     * @returns The item or null if it wasn't found
     */
    get(key: string): Promise<InstanceType<Holds> | null>;
    /**
     * Sets an item in the cache
     * @param key Key for the item
     * @param value The item to cache
     * @param options The caching options to use
     * @returns this for method chaining
     */
    set(key: string, value: InstanceType<Holds>, options?: Partial<ICachingOptions>): Promise<this>;
}
export default Cache;
//# sourceMappingURL=Cache.d.ts.map