import type { APIMemeExperience, APIMemeRank, Size } from "@ifunny/ifunny-api-types";
/**
 * The Meme Experience for a user
 */
export declare class MemeExperience {
    /**
     * Raw data from the API
     */
    protected data: APIMemeExperience;
    /**
     * @param data The raw api data for the meme experience
     */
    constructor(data: APIMemeExperience);
    /**
     * The user's rank
     */
    get rank(): APIMemeRank;
    /**
     * How many days the user has spent logged in
     */
    get days(): number;
    /**
     * Url of the badge
     * @example
     * `https://img.ifunny.co/meme_experience/${number}.png`
     */
    get badgeUrl(): string;
    /**
     * Size of the badge
     */
    get badgeSize(): Size;
    /**
     * Days needed to get the next rank\
     * ? Chef's Meme Agent will show 3000 but does not change when it reaches it
     */
    get nextMilestone(): number;
    /**
     * Days until the user reaches the next milestone
     */
    get daysUntilNextMilestone(): number;
}
export default MemeExperience;
//# sourceMappingURL=MemeExperience.d.ts.map